Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6890/?format=api
{ "ob_id": 6890, "uuid": "8482b5af7dded1f1b94a4a9ac4ce8a26", "title": "CRU CY3.21: Climatic Research Unit (CRU) Year-by-Year Variation of Selected Climate Variables by CountrY (CY) version 3.21 (Jan. 1901 - Dec. 2012)", "abstract": "The CRU CY3.21 dataset consists of country averages at a monthly, seasonal and annual frequency, for ten climate variables in 289 countries for the period Jan. 1901 to Dec. 2012. It was produced in 2013 by the Climatic Research Unit (CRU) at the University of East Anglia.\r\nSpatial averages are calculated using area-weighted means. Variables include cloud cover (cld), diurnal temperature range (dtr), frost day frequency (frs), precipitation (pre), daily mean temperature (tmp), monthly average daily maximum (tmx) and minimum (tmn) temperature, vapour pressure (vap), Potential Evapo-transpiration (pet) and wet day frequency (wet). \r\n\r\n\r\nCRU CY3.21 is derived directly from the CRU TS3.21 dataset. Version numbering is matched between the two datasets. The data are available as text files with the extension '.per' and can be opened by most text editors.\r\n\r\nTo understand the CRU-CY3.21 dataset, it is important to understand the construction and limitations of the underlying dataset, CRU TS3.21. It is therefore recommended that all users read the paper referenced below (Harris et al, 2014).\r\n\r\nCRU CY data are available for download to all CEDA users.", "keywords": "", "publicationState": "citable", "dataPublishedTime": "2013-09-25T20:21:12", "doiPublishedTime": "2013-10-03T23:00:00", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6891/?format=api", "dataPath": "/badc/cru/data/cru_cy/cru_cy_3.21", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 48356005, "numberOfFiles": 2895, "fileFormat": "The CRU CY data are provided as text files with the extension \".per\", most text editors will open these files. See the linked file formats guide for more information." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1989/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/513/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "CRU CY 3.21 data files acquired directly from CRU in 2013.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4517/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8330/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4518/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/6672/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6889/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29452/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29453/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29454/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29455/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29457/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44954/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/29451/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44957/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44955/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46243/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/79195/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168536/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168537/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/6676/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }